<?php

	class GeneralTask {
		protected $task_id;	
		protected $task_processor;
		protected $tm;
	
		public function __construct( $id , $tp ) {
			$this->task_id = $id;
			$this->task_processor = $tp;
			$this->tm = $tp->oTM;
		}

		public function processTask() {
			$this->tm->closeTask();
		}
	}

?>
